
Redmine - Defect #1340

Trac migration task - user issues

2008-05-31 17:51 - James Turnbull

Status: Closed Start date: 2008-05-31

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Importers Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed Affected version:  

Description

When migrating from Trac the rake task selects users inconsistently because it only grabs users who have created a ticket, wiki page

or attachment.  This means some users are migrated with user name and email address and others are not.  The script should use

the contents of the session_attribute table like:

INSERT INTO "session_attribute" VALUES;

INSERT INTO "session_attribute" VALUES;

This could be done either as a supplemental query in the find_or_create_user class or a separate migration task.

Associated revisions

Revision 1502 - 2008-06-07 16:55 - Jean-Philippe Lang

Trac importer: read session_attribute table to find user's email and real name (#1340).

History

#1 - 2008-06-02 16:53 - James Turnbull

- File def_find_or_create_user.rb added

I've done a very crude edit of migrate_from_trac.rb.  I've attached my version of the def used to create users.  Highly crude but worked for me.

#2 - 2008-06-07 16:52 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.8

- Resolution set to Fixed

Fix committed in r1502 with a slightly different implementation.

Thanks for pointing this out.

Files

def_find_or_create_user.rb 1.78 KB 2008-06-02 James Turnbull
